Browser Compatibility

We have detected that your browser is: Unknown Browser

We could not identify your browser as one of the recommended or supported browsers for our online system. It is still possible that it may work, but we cannot predict what will happen.

We believe that this browser may have compatibility problems with some of the rich features of the website module you are attempting to access.

Please upgrade to a browser recommended below in order to fully utilize the features and technology of this and other web sites. Upgraded versions can be downloaded for free.

To download, go to the link and click the download option. Note the location on your computer to which you are saving. Once you download the program, you will need to install it. To do this, click on the program you downloaded and follow the instructions. Once installed, a new icon for the program should appear on your desktop. You can log on again through your Internet Service Provider (such as AOL) as always, then minimize the window and run your new Netscape or Internet Explorer to get to the resources on this web site.

After you have upgraded your browser, you may return to this site and continue where you left off. Please note that you will only see this screen if your web browser is not recognized as compatible.

How to Upgrade

The minimum browser requirements are:
  • Internet Explorer 5.1 for the Macintosh
  • Internet Explorer 5 for the PC
  • Netscape 4.7 for the Macintosh
  • Netscape 4.7 for the PC
If your computer can support a later version, we always recommend getting the newest non-beta release available.

To download the very latest version of Netscape go to the Latest Netscape Browser Software Page .

To download the very latest version of Microsoft Internet Explorer for the PC go to the Microsoft Internet Explorer PC Page . To download the very latest version of Microsoft Internet Explorer for the Mac go to the Microsoft Internet Explorer Mac Page .

AOL users can upgrade by going to keyword: upgrade inside AOL.


If you are an advanced user and believe that your browser is newer and/or compatible with the ones we recommend click the button below to continue. Please be advised that if you choose to ignore our warnings, you may get error messages and we will not take responsibility for your data.